Skip to main content

Class ReturnRefundsAPIRequest


Properties

NAMETYPEREQUIREDDESCRIPTION
Resource/v1/institutions/{rtnnumber}/environments/{envname}/products/paycenter/networks/rtp/refund-requests
Request MethodHTTP POST
Response formatJSON
Content Typeapplication/jsonYesSpecify this as a "Content-Type" header property
AuthorizationBearer access_tokenYesSpecify this as a "Authorization" header property and pass OAuth 2.0 access token

Path parameters

ParameterTYPEREQUIREDDescription
rtnnumberstringYesDebtor Financial Institution Routing Number
envnameStringYesDenotes environment name where the API referred.

Possible values
  • SANDBOX
  • PROD

Fields

ParameterTYPEREQUIREDDescription
ReasonCodestringYesReason Code

Enum values: AC03,AM09,CUST,DS24,DUPL,FRAD,FRTR,TECH,UPAY

RequestForRefund.ReasonCode
IdstringYesThis Id will be the unique EndToEndId which is received in Credit Transfer API response's Id field.

RequestForRefund.Id
UserNamestringYesDefine the Name of the User Invoking the API

RequestForRefund.UserName
NotesstringFree text. Notes about the request for refund.

RequestForRefund.Notes

Request body - JSON representation

{
"RequestForRefund": {
"ReasonCode": "enum(reasoncode)",
"Id": "string",
"UserName": "string",
"Notes": "string"
}
}

Sample Request 1:

POST /v1/institutions/111025466/environments/sandbox/products/paycenter/networks/rtp/refund-requests HTTP/1.1
Host: wag01.eagle.jhapaycenter.com
Authorization: Bearer Op8dNG95eDBKa1B.........Yzh5M1ZyZnNlNEs5rfuI
Content-Type: application/json

Sample Request Body

{
"RequestForRefund": {
"ReasonCode": "CUST",
"Id": "123456789-RTP-IISQB45490",
"UserName": " RTPUATUser",
"Notes": "This is test transaction"
}
}

Sample Request 2:

POST /v1/institutions/111025466/environments/sandbox/products/paycenter/networks/rtp/refund-requests HTTP/1.1
Host: wag01.eagle.jhapaycenter.com
Authorization: Bearer Op8dNG95eDBKa1B.........Yzh5M1ZyZnNlNEs5rfuI
Content-Type: application/json

Sample Request Body

{
"RequestForRefund": {
"ReasonCode": "FRAD",
"Id": "987456218-RTP-IISQB45490",
"UserName": " RTPUATUser",
"Notes": "This is test transaction"
}
}